/*
  Copyright 2019 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.partner

/**
 * @suppress
 */
object Constants {
    const val V1_SIGNUP_PATH = "/v1/user/signup"
    const val V1_FRIENDS_PATH = "/v1/friends"
    const val V1_CHATS_PATH = "/v1/api/talk/chat/list"
    const val V1_CHAT_MEMBERS_PATH = "/v1/api/talk/members"
    const val V1_AGE_AUTH_PATH = "/v1/user/age_auth"

    const val V2_MESSAGE_PATH = "/v2/api/talk/message/send"
    const val V2_MESSAGE_DEFAULT_PATH = "/v2/api/talk/message/default/send"
    const val V2_MESSAGE_SCRAP_PATH = "/v2/api/talk/message/scrap/send"
    const val V2_UPGRADE_SCOPES_PATH = "/v2/user/upgrade/scopes"


    const val FROM_ID = "from_id"
    const val OFFSET = "offset"
    const val LIMIT = "limit"
    const val ORDER = "order"
    const val FILTER = "filter"

    const val CHAT_ID = "chat_id"
    const val FRIENDS_ONLY = "friends_only"
    const val INCLUDE_PROFILE = "include_profile"
    const val TOKEN = "token"

    const val RECEIVER_ID_TYPE = "receiver_id_type"
    const val RECEIVER_IDS = "receiver_ids"

    const val FRIEND_TYPE = "friend_type"
    const val FRIEND_FILTER = "friend_filter"
}